<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">
      
<h:head>
	<title>Finalizar Comanda</title>
</h:head>

<h:body>
	<div id="divCenter">
	<h:form>
		<div>
			<br/>
			<h:outputLabel for="id">Comanda:  ##{comandaMBean.obj.id} #{comandaMBean.obj.cliente.nome} </h:outputLabel>
		 	<br/>
		 	<br/>
		</div>
		<h:dataTable value="#{comandaMBean.listaPedidos}" var="pedido">
			<h:column>
				<f:facet name="header"> Pedido </f:facet>
				#{pedido.produto.descricao}
			</h:column>
			<h:column>
				<f:facet name="header"> Preço </f:facet>
				#{pedido.produto.valorProduto}
			</h:column>
			<h:column>
				<f:facet name="header"> Quantidade </f:facet>
				#{pedido.quantidade}
			</h:column>
			<h:column>
				<f:facet name="header"> Valor do Pedido </f:facet>
				#{pedido.valor}
			</h:column>
		</h:dataTable>
		<br/>
		<br/>
		<h:outputLabel for="metodoPagamento">Método de pagamento *: </h:outputLabel>
		<h:inputText id="metodoPagamento" value="#{comandaMBean.obj.metodoPagamento}" required="true" requiredMessage="Digite o método de pagamento"></h:inputText>
		<br/>
		<h:message for="metodoPagamento"></h:message>
		<br/>
		<h:outputLabel for="id">Total a Pagar:  #{comandaMBean.obj.total} </h:outputLabel>
		 <br/>
		<br/>
		<h:commandButton action="comanda" value="Voltar para a Listagem das Comandas"></h:commandButton>
		<h:commandButton action="#{comandaMBean.finalizarComandaCliente(comandaMBean.obj)}" value="Finalizar a Comanda"></h:commandButton>
	</h:form>
	</div>
	
	<style type="text/css">
		* { margin: 0; padding: 0; font-family:Tahoma; font-size:9pt;}
			
			#divCenter {
				background-color: #e1e1e1;
				width: 400px;
				height: 300px;
				left: 50%;
				margin: -130px 0 0 -210px;
				padding:10px;
				position: absolute;
				top: 50%; 
			}
	</style>	
</h:body>
      
</html>